# Configuration stuff
CONFIG += qt \
    warn_on

# ## Build Mode stuff
# CONFIG += debug_and_release
CONFIG(debug, debug|release) { 
    TARGET = $$join(TARGET,,,d)
    DEFINES += _DIMG_DEBUG
    CONFIG += console # For debugging output
    win32:PREFIX = C:\temp\dimg
    unix:PREFIX = /tmp/dimg
}

# Target directories
debug:DESTDIR = ../debug
release:DESTDIR = ../release

# Generate install target
unix:isEmpty(PREFIX):PREFIX = /opt/dimg
win32:isEmpty(PREFIX):PREFIX = C:/dimg
target.path = $$PREFIX/bin
INSTALLS += target
INCLUDEPATH = ../include

# Resource Script
RC_FILE = dimg.rc

# This has to be included where ever its used as its a QObject subclass
HEADERS += ../include/imagefile.h \
    imageinformation.h \
    settingsdialog.h \
    commentprompt.h \
    commentedit.h

# Header files
HEADERS += Dimg.h
HEADERS += imagefileutils.h
HEADERS += cacheimagefile.h
HEADERS += imagefilefactory.h
HEADERS += version.h
HEADERS += utils.h
HEADERS += fileproperties.h
HEADERS += aboutdialog.h
HEADERS += errors.h
HEADERS += imager.h
HEADERS += errorstrings.h
HEADERS += constants.h

# Source files
SOURCES += main.cpp \
    imageinformation.cpp \
    settingsdialog.cpp \
    commentprompt.cpp \
    commentedit.cpp
SOURCES += imagefileutils.cpp
SOURCES += cacheimagefile.cpp
SOURCES += imagefilefactory.cpp
SOURCES += utils.cpp
SOURCES += fileproperties.cpp
SOURCES += aboutdialog.cpp
SOURCES += imager.cpp
SOURCES += Dimg.cpp

# Forms (GUI stuff)
FORMS += main_window.ui \
    imageinformation.ui \
    settingsdialog.ui
FORMS += fileproperties.ui
FORMS += aboutdialog.ui

# Resource files
RESOURCES = resources.qrc
