/*
-----------------------------------------------------
   Application Name: "DIMG"
Application Version: 1.1.0
          File Name: cacheimagefile.cpp
         Start Date: 20/03/2010
       Last Changed: $LastChangedDate: 2011-04-09 00:17:11 +1200 (Sat, 09 Apr 2011) $
           Revision: $Revision: 295 $
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2010
            License: GNU General Public License
   File Description: CacheImageFile implementation
-----------------------------------------------------
        This file is part of "DIMG".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

        File Notes:
        ------------------
*/

#include "cacheimagefile.h"

CacheImageFile::CacheImageFile(QObject *parent) :
    ImageFile(parent)
{
    buff = new QBuffer(this);
    buff->open(QIODevice::ReadWrite);
}

int CacheImageFile::close() {
    if (buff != 0){
        buff->close();
        delete buff;
        buff = 0;
    }
    return errors::E_SUCCESS;
}

ImageFile::Features CacheImageFile::getFeatures() const {
    return ImageFile::F_RawFormat
            | ImageFile::F_Cached
            | ImageFile::F_Buffer;
}

QString CacheImageFile::fileName() const {
    return "";
}

QIODevice *CacheImageFile::device() {
    return buff;
}

int CacheImageFile::save() {
    return errors::E_NOT_IMPLEMENTED;
}

QString CacheImageFile::getComment() const {
    return "";
}

void CacheImageFile::setComment(QString /*comment*/) {
    // does nothing
}

bool CacheImageFile::isOpen() const {
    if (buff != 0)
        return buff->isOpen();
    else
        return false;
}
