/*
-----------------------------------------------------
   Application Name: DIMG
          File Name: imageinformation.cpp
         Start Date: 29/03/2010
       Last Changed: $LastChangedDate: 2011-04-09 00:17:11 +1200 (Sat, 09 Apr 2011) $
           Revision: $Revision: 295 $
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2010
            License: GNU General Public License
   File Description: Image Information dialog
-----------------------------------------------------
        This file is part of DIMG.

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

File Notes:
------------------
*/

#include "imageinformation.h"
#include "ui_imageinformation.h"
#include <QDebug>

ImageInformation::ImageInformation(ImageFile *img,QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ImageInformation)
{
    ui->setupUi(this);
    connect(ui->pteComment,SIGNAL(textChanged()),this,SLOT(commentChanged()));

    if (img->getFeatures().testFlag(ImageFile::F_Comment)) {
        ui->pteComment->setPlainText(img->getComment());
        maxCommentSize = img->maxCommentLength();
    } else {
        ui->pteComment->setEnabled(false);
    }
}

ImageInformation::~ImageInformation()
{
    delete ui;
}

void ImageInformation::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void ImageInformation::commentChanged() {

}

QString ImageInformation::getComment() {
    return ui->pteComment->toPlainText();
}
