/*
-----------------------------------------------------
   Application Name: DIMG
          File Name: imageinformation.h
         Start Date: 29/03/2010
       Last Changed: $LastChangedDate: 2011-04-09 00:17:11 +1200 (Sat, 09 Apr 2011) $
           Revision: $Revision: 295 $
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2010
            License: GNU General Public License
   File Description: Image Information dialog header
-----------------------------------------------------
        This file is part of DIMG.

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

File Notes:
------------------
*/

#ifndef IMAGEINFORMATION_H
#define IMAGEINFORMATION_H

#include <QDialog>
#include <imagefile.h>

namespace Ui {
    class ImageInformation;
}

class ImageInformation : public QDialog {
    Q_OBJECT
public:
    ImageInformation(ImageFile *img, QWidget *parent = 0);
    ~ImageInformation();

    QString getComment();

private slots:
    void commentChanged();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::ImageInformation *ui;

    long maxCommentSize;
};

#endif // IMAGEINFORMATION_H
