# Qt Configuration
TEMPLATE = lib
CONFIG += plugin \
    warn_on

# ## Build Mode stuff
#CONFIG += debug_and_release
CONFIG(debug, debug|release) { 
    TARGET = $$join(TARGET,,,d)
    DEFINES += _DIMG_DEBUG
    CONFIG += console # For debugging output
    win32:PREFIX = C:\temp\dimg
    unix:PREFIX = /tmp/dimg
}

# Target directories
debug:DESTDIR = ../debug
release:DESTDIR = ../release

# Application include stuff
INCLUDEPATH += ../include

# LibDsk include stuff. Edit as required.
win32:INCLUDEPATH += ../lib/libdsk
unix:INCLUDEPATH += /usr/local/include

RC_FILE = DQlibdskdrv.rc

# Generate install target
unix {
    isEmpty(PREFIX) {
        PREFIX = /opt/dimg
    }
}
win32 {
    isEmpty(PREFIX) {
        PREFIX = C:/dimg
    }
}

target.path = $$PREFIX/bin

INSTALLS += target

# Header files
HEADERS += about.h
HEADERS += DQDLibDsk.h
HEADERS += qlibdsk.h
HEADERS += constants.h
unix: HEADERS += uxsettings.h

# Source files
SOURCES += about.cpp
SOURCES += DQDLibDsk.cpp
SOURCES += qlibdsk.cpp
unix:SOURCES += uxsettings.cpp
# The user interface file(s)
FORMS = about.ui
FORMS += uxsettings.ui

# LibDsk is needed. Edit as required.
unix:LIBS = -L/usr/local/lib \
    -ldsk
win32:LIBS += -L../lib/libdsk -llibdsk
