/* Project "DIMG" LibDsk Image File Format Plugin
 *
 * This Software (C) Copyright David Goodwin, 2010.
 *
 *   This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef _FPLIBDSK_H
#define _FPLIBDSK_H

// Qt Headers
#include <QString>
#include <QStringList>
#include <QFile>
#include <QFileInfo>
#include <QtPlugin>
#include <QtDebug>

// Plugin Headers
#include <imagefileplugin.h>
#include <imagefile.h>

#include "versinfo.h"
#include "libdskimagefile.h"

/** LibDsk Image File Format plugin
 */
class FPlibdsk : public QObject, public ImageFilePlugin {

    Q_OBJECT
    Q_INTERFACES(ImageFilePlugin)

public:

    FPlibdsk() {}
    ~FPlibdsk() {}

    bool fileIsSupported(QString filename);

    QStringList getNameFilters();

    ImageFile *createImageFile(QString filename,
                               ImageFilePlugin::LoadHints hints,
                               long long expectedSize);

    QString getName() const { return "FPlibdsk"; }
    QString getDescription() const { return FPR_DESCRIPTION; }
    QString getVersion() const {return FPR_VERSION; }
    QString getCopyright() const {return FPR_COPYRIGHT; }

    ImageFilePlugin::Features getFeatures() const;

private:
};

#endif // _FPLIBDSK_H
